include:
  - project: "procicd/lib"
    file: "templates/docker.yml"
    inputs:
      container-name: 'test-docker-compose-built'
      docker-build-stage: 'build'
      docker-tag-main: "latest"
      target: 'base'
      registry-address: ''
      build-args: "ARG1"
  - project: "procicd/lib"
    file: "templates/compose-job.yml"
    inputs:
      job-label: test
      compose-config: 'docker-compose.test.yml'
      service: python
      script: |
        set -e
        echo "hello"
        echo "$VARIABLE"
  - project: "procicd/lib"
    file: "templates/compose-job.yml"
    inputs:
      job-label: build
      compose-config: 'docker-compose.build.yml'
      service: built
  - project: "procicd/lib"
    file: "templates/compose-job.yml"
    inputs:
      job-label: prebuilt
      compose-config: 'docker-compose.build.yml'
      service: built
      build-job-label: job

.docker-build-job:
  variables:
    ARG1: "Built in docker job"